Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfCopy.IndirectReferences

    java.lang.Object
      com.lowagie.text.pdf.PdfCopy.IndirectReferences

Enclosing class:
  PdfCopy

    static class PdfCopy.IndirectReferences

extends Object

This class holds information about indirect references, since they are renumbered by iText.

Field Summary
`(package private) boolean` | `hasCopied`
`(package private) PdfIndirectReference` | `theRef`

Constructor Summary
`PdfCopy.IndirectReferences(PdfIndirectReference ref)`

Method Summary
`(package private) boolean` | `getCopied()`
`(package private) PdfIndirectReference` | `getRef()`
`(package private) void` | `setCopied()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theRef

    PdfIndirectReference theRef

### hasCopied

    boolean hasCopied

Constructor Detail

### PdfCopy.IndirectReferences

    PdfCopy.IndirectReferences(PdfIndirectReference ref)

Method Detail

### setCopied

    void setCopied()

### getCopied

    boolean getCopied()

### getRef

    PdfIndirectReference getRef()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD